# -*- encoding: utf-8 -*-
# stub: coveralls 0.8.23 ruby lib

Gem::Specification.new do |s|
  s.name = "coveralls".freeze
  s.version = "0.8.23"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Nick Merwin".freeze, "Wil Gieseler".freeze]
  s.date = "2021-01-07"
  s.description = "A Ruby implementation of the Coveralls API.".freeze
  s.email = ["nick@lemurheavy.com".freeze, "supapuerco@gmail.com".freeze]
  s.executables = ["coveralls".freeze]
  s.files = ["CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "bin/coveralls".freeze, "coveralls-ruby.gemspec".freeze, "lib/coveralls.rb".freeze, "lib/coveralls/api.rb".freeze, "lib/coveralls/command.rb".freeze, "lib/coveralls/configuration.rb".freeze, "lib/coveralls/output.rb".freeze, "lib/coveralls/rake/task.rb".freeze, "lib/coveralls/simplecov.rb".freeze, "lib/coveralls/version.rb".freeze, "spec/coveralls/configuration_spec.rb".freeze, "spec/coveralls/coveralls_spec.rb".freeze, "spec/coveralls/fixtures/app/controllers/sample.rb".freeze, "spec/coveralls/fixtures/app/models/airplane.rb".freeze, "spec/coveralls/fixtures/app/models/dog.rb".freeze, "spec/coveralls/fixtures/app/models/house.rb".freeze, "spec/coveralls/fixtures/app/models/robot.rb".freeze, "spec/coveralls/fixtures/app/models/user.rb".freeze, "spec/coveralls/fixtures/app/vendor/vendored_gem.rb".freeze, "spec/coveralls/fixtures/sample.rb".freeze, "spec/coveralls/output_spec.rb".freeze, "spec/coveralls/simplecov_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://coveralls.io".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7".freeze)
  s.rubygems_version = "3.2.27".freeze
  s.summary = "A Ruby implementation of the Coveralls API.".freeze
  s.test_files = ["spec/coveralls/configuration_spec.rb".freeze, "spec/coveralls/coveralls_spec.rb".freeze, "spec/coveralls/fixtures/app/controllers/sample.rb".freeze, "spec/coveralls/fixtures/app/models/airplane.rb".freeze, "spec/coveralls/fixtures/app/models/dog.rb".freeze, "spec/coveralls/fixtures/app/models/house.rb".freeze, "spec/coveralls/fixtures/app/models/robot.rb".freeze, "spec/coveralls/fixtures/app/models/user.rb".freeze, "spec/coveralls/fixtures/app/vendor/vendored_gem.rb".freeze, "spec/coveralls/fixtures/sample.rb".freeze, "spec/coveralls/output_spec.rb".freeze, "spec/coveralls/simplecov_spec.rb".freeze, "spec/spec_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<json>.freeze, [">= 1.8", "< 3"])
    s.add_runtime_dependency(%q<simplecov>.freeze, ["~> 0.16"])
    s.add_runtime_dependency(%q<term-ansicolor>.freeze, ["~> 1.3"])
    s.add_runtime_dependency(%q<thor>.freeze, [">= 0.19.4", "< 2.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0"])
  else
    s.add_dependency(%q<json>.freeze, [">= 1.8", "< 3"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.16"])
    s.add_dependency(%q<term-ansicolor>.freeze, ["~> 1.3"])
    s.add_dependency(%q<thor>.freeze, [">= 0.19.4", "< 2.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
  end
end
